Loading...
Searching...
No Matches
Opm::DiscreteFractureExtensiveQuantities< TypeTag > Class Template Reference

This class expresses all intensive quantities of the discrete fracture model. More...

`#include <discretefractureextensivequantities.hh>`

Inheritance diagram for Opm::DiscreteFractureExtensiveQuantities< TypeTag >:

## Public Member Functions

void | update (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Update the extensive quantities for a given sub-control-volume-face.
const DimMatrix & | fractureIntrinsicPermeability () const
Scalar | fractureVolumeFlux (unsigned phaseIdx) const
Scalar | fractureWidth () const
const DimVector & | fractureFilterVelocity (unsigned phaseIdx) const
Public Member Functions inherited from Opm::ImmiscibleExtensiveQuantities< TypeTag >
void | update (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Update the extensive quantities for a given sub-control-volume-face.
template<class Context, class FluidState>
void | updateBoundary (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fluidState)
| Update the extensive quantities for a given boundary face.
Public Member Functions inherited from Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >
void | update (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Update the extensive quantities for a given sub-control-volume-face.
template<class Context, class FluidState>
void | updateBoundary (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fluidState)
| Update the extensive quantities for a given boundary face.
short | upstreamIndex (unsigned phaseIdx) const
| Return the local index of the upstream control volume for a given phase as a function of the normal flux.
short | downstreamIndex (unsigned phaseIdx) const
| Return the local index of the downstream control volume for a given phase as a function of the normal flux.
Scalar | upstreamWeight (unsigned) const
| Return the weight of the upstream control volume for a given phase as a function of the normal flux.
Scalar | downstreamWeight (unsigned phaseIdx) const
| Return the weight of the downstream control volume for a given phase as a function of the normal flux.

## Additional Inherited Members

Static Public Member Functions inherited from Opm::ImmiscibleExtensiveQuantities< TypeTag >
static void | registerParameters ()
| Register all run-time parameters for the extensive quantities.
Static Public Member Functions inherited from Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >
static void | registerParameters ()
| Register all run-time parameters for the extensive quantities.

## Detailed Description

template<class TypeTag>
class Opm::DiscreteFractureExtensiveQuantities< TypeTag >

This class expresses all intensive quantities of the discrete fracture model.

## Member Function Documentation

## update()

template<class TypeTag>

void Opm::DiscreteFractureExtensiveQuantities< TypeTag >::update | ( | const ElementContext & | elemCtx,
|  | unsigned | scvfIdx,
|  | unsigned | timeIdx )

inline

Update the extensive quantities for a given sub-control-volume-face.

Parameters

  elemCtx | Reference to the current element context.
  scvfIdx | The local index of the sub-control-volume face for which the extensive quantities should be calculated.
  timeIdx | The index used by the time discretization.

The documentation for this class was generated from the following file:

- opm/models/discretefracture/discretefractureextensivequantities.hh